%define lib_major   3
%define libname %mklibname %{name}_ %{lib_major}
%define libnamedev %mklibname -d %{name}
%define with_doc 0

Name:           graphite2
Version:        1.3.5
Release:        %mkrel 1
Summary:        Font rendering capabilities for complex non-Roman writing systems
Group:          System/Libraries
License:        LGPLv2+
URL:            http://graphite.sil.org/
Source0:        https://github.com/silnrsi/graphite/archive/%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  freetype-devel
BuildRequires:  doxygen,texlive,asciidoc
BuildRequires:  libxml2-utils
Obsoletes:      silgraphite < 2.3.1-5

%description
Graphite2 is a project within SIL's Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts" capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files
%doc LICENSE COPYING ChangeLog
%{_bindir}/gr2fonttest

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
Graphite2 is a project within SIL's Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts" capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files -n %{libname}
%{_libdir}/libgraphite2.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %{libnamedev}
Requires: %{name} = %{version}-%{release}
Summary: Files for developing with graphite2
Group:    Development/Other 
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: silgraphite-devel < 2.3.1-5

%description -n %{libnamedev}
Includes and definitions for developing with graphite2.

%files -n %{libnamedev}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*.cmake
%{_includedir}/%{name}
%{_libdir}/libgraphite2.so
%{_libdir}/pkgconfig/graphite2.pc

#--------------------------------------------------------------------

%prep
%setup -q -n graphite-%{version}

%build
%cmake -DENABLE_COMPARE_RENDERER=OFF ..
%make
%if %{with_doc}
make docs
%endif

%install
%makeinstall_std -C build
rm -f %{buildroot}/%{_libdir}/*.la


%changelog
* Mon Feb 15 2016 luigiwalser <luigiwalser> 1.3.5-1.mga5
+ Revision: 961430
- 1.3.5 (fixes CVE-2016-152[1236])

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-3.mga5
+ Revision: 744105
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-2.mga5
+ Revision: 679930
- Mageia 5 Mass Rebuild

* Thu Dec 05 2013 luigiwalser <luigiwalser> 1.2.4-1.mga4
+ Revision: 555425
- 1.2.4

* Sat Oct 19 2013 umeabot <umeabot> 1.2.3-2.mga4
+ Revision: 528077
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 luigiwalser <luigiwalser> 1.2.3-1.mga4
+ Revision: 443425
- 1.2.3

* Sun Jun 02 2013 luigiwalser <luigiwalser> 1.2.2-1.mga4
+ Revision: 434326
- 1.2.2

* Fri May 24 2013 luigiwalser <luigiwalser> 1.2.1-1.mga4
+ Revision: 426659
- 1.2.1

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 352566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1.2.0-1.mga3
+ Revision: 303157
- 1.2.0 (library major is now 3)

* Fri Sep 07 2012 luigiwalser <luigiwalser> 1.1.3-1.mga3
+ Revision: 289328
- fix package group
- remove non-ASCII characters from spec, plus other minor spec cleaning
- 1.1.3

* Tue Oct 11 2011 dmorgan <dmorgan> 1.0.3-2.mga2
+ Revision: 153754
- Fix groups
- Fix provides in the devel package
- Do not build docs
- Fix BR
- Fix BR
- imported package graphite2

